aboutsummaryrefslogtreecommitdiffstats
path: root/conf
Commit message (Collapse)AuthorAgeFilesLines
* add metano linux distributionAngelo S. Mavridis Bartolome2010-11-021-0/+133
| | | | Signed-off-by: Angelo S. Mavridis Bartolome <angelo@pynell.com>
* xorg: new versions for 20101101Martin Jansa2010-11-011-41/+41
| | | | | | * tested on SHR/gta-02, SHR/spitz, SHR/nokia900 Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xorg: new versions for 20101030Martin Jansa2010-10-301-39/+39
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* SHR: prefer latest busyboxMartin Jansa2010-10-301-0/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xorg: new versions for 20101029Martin Jansa2010-10-301-21/+21
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* linux-2.6.28: make it bootable and usefull on nokia900Denis 'GNUtoo' Carikli2010-10-271-1/+1
| | | | | | | | | | | | | | | | | | | | | | | *crucial boot support(mmc,mmc block devices,and filesystems) are now builtin *a CMDLINE is now set in the recipe(there is a custom nokia bootloader on the nokia900), That is also necessary to boot on microsd *g_ether is now built, which is required for usbnet *ondemand cpufreq governor is now the default *the inconsistent-mmc-fix-2.6.28-20094803.3.diff patch comes from: https://bugs.maemo.org/show_bug.cgi?id=2747 and is necessary to be able to boot on microsd *there is also a patch that reports the battery capacity which comes from: http://my.arava.co.il/~matan/770/n900/bq27x00_battery.c That patch should be temporary,and be replcaed by somwthing like that: Sep 24 18:48:06 <DocScrutinizer51> the bq27200 kernel module is rather rudimentary Sep 24 18:48:09 <DocScrutinizer51> should be easy to adapt FR bq2700 module to provide same szsfs nodes and just use I2C instead of FIQ+HDQ Sep 24 18:48:11 <DocScrutinizer51> and that's exactly what I'd recommend to do (from #openmoko-cdevel on Freenode) Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* EFL: upgrade SRCREVMartin Jansa2010-10-271-1/+1
| | | | | | * fixed python-elementary after elementary API changes Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* nokia900: add keyboard to MACHINE_FEATURES, watchdog to ↵Denis 'GNUtoo' Carikli2010-10-271-1/+5
| | | | | | MACHINE_EXTRA_RRECOMMENDS and autoload for g_ether Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* nokia900: add keyboard to XSERVER and bump PRDenis 'GNUtoo' Carikli2010-10-271-0/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* bitbake.conf: add SAVANNAH_MIRRORChris Larson2010-10-261-0/+1
| | | | Signed-off-by: Chris Larson <chris_larson@mentor.com>
* xorg: new versions for 20101025Martin Jansa2010-10-251-8/+8
| | | | | | | * xserver-xorg is the same as 1.9.0.902 * pixman patches need to be updated first Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* EFL: bump SRCREV a bit moreMartin Jansa2010-10-241-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* opie-notes: add preferred version to older inc files like done in .git.Andrea Adami2010-10-232-0/+2
|
* bitbake.conf: don't append MACHINE_OVERRIDES to OVERRIDES when it's emptyMartin Jansa2010-10-221-2/+3
| | | | | | | | | | | | | | | | | | | | | * empty MACHINE_OVERRIDES adds :: to OVERRIDES (then in FILESPATH skips every directory after this) * strip() is needed to remove space in case some distribution has ie MACHINE_OVERRIDES ?= "" and then MACHINE_OVERRIDES += "" or MACHINE_OVERRIDES ?= "${MACHINE_CLASS}", where MACHINE_CLASS is empty again While FILESPATH was fixed separately, having :: in OVERRIDES still makes bitbake 1.8.18 to throw a "RuntimeError: Set changed size during iteration" exception when used together with collections.inc, since bitbake is being re-spawned in there. More details here: http://thread.gmane.org/gmane.comp.handhelds.openembedded/38254/focus=38595 Acked-by: Chase Maupin <chase.maupin@ti.com> Signed-off-by: Denys Dmytriyenko <denis@denix.org>
* conf/build: darwin fixups - COMMAND_MODE, -m32, PATHChris Larson2010-10-213-1/+16
| | | | | | | | | - For ppc darwin, use the wrapper scripts - For i386 darwin, set -m32, as uname shows i386 even on 64 bit darwin - For i386 and ppc darwin, set COMMAND_MODE to fix incompatible shell utility behavior, for example 'echo' not handling -n as expected Signed-off-by: Chris Larson <chris_larson@mentor.com>
* Use shell wrappers for i386-darwinChris Larson2010-10-211-0/+1
| | | | Signed-off-by: Chris Larson <chris_larson@mentor.com>
* omap machines: remove preferred versions from machine files, the recipes ↵Koen Kooi2010-10-2113-15/+0
| | | | already pin those correctly
* conf/machine: first batch of preferred_version removal: gcc/glibc/binutilsKoen Kooi2010-10-212-18/+0
|
* ts72xx: update machine configPetr Štetiar2010-10-201-2/+21
| | | | | | | | | | | - add autoloading of common modules - specify parameters for UBIFS image - move CMDLINE to kernel - update MACHINE_FEATURES - specify KERNEL_IMAGETYPE Signed-off-by: Petr Štetiar <ynezz@true.cz> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* toolchain-external: fix circular recursion if TOOLCHAIN_VENDOR is not definedDenys Dmytriyenko2010-10-201-1/+1
| | | | Signed-off-by: Denys Dmytriyenko <denis@denix.org>
* conf/distro/include: remove obsolete preferred-opie-versions.incPaul Eggleton2010-10-211-210/+0
| | | | | Specific version include files should now be used - this old one points to 1.2.2 which is no longer supported in the OE dev branch.
* preferred-gpe-versions: remove now unused files.Andrea Adami2010-10-202-183/+0
|
* amsdelta-oe.conf: no need to specify preferred-gpe-versions-2.8Andrea Adami2010-10-201-3/+0
| | | | * default should work flawlessy (implicitly ack'ed on irc by GPE maintainer)
* sharprom-compatible: remove unmaintained distro.Andrea Adami2010-10-201-82/+0
| | | | | | * embedix-2.4 kernels have been moved to obsolete * external toolchain with gcc-2.95 was required * ack'ed by the former OpenZaurus maintainers
* distro, toolchain-external: override TARGET_VENDOR with TOOLCHAIN_VENDORBen Gardiner2010-10-204-12/+14
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | Trying to use an external toolchain like the 2009q1 toolchain from codesourcery has some strange results since the toolchain has vendor 'none' but distributions like angstrom set TARGET_VENDOR unconditionally. This patch overrides the TARGET_VENDOR with the value of TOOLCHAIN_VENDOR, if set. TOOLCHAIN_VENDOR can be set in the local configuration alongside the other TOOLCHAIN_* variables. The override is performed in toolchain-external.inc, as suggested by Koen Kooi [1]. It also reorders the inclusion of the distro and toolchain-* so that toolchain-external can override the value of TARGET_VENDOR, as suggested by Denys Dmytriyenko [2]. Tested with angstrom-2008.1 and the codesourcery 2009q1 toolchain by assigning TOOLCHAIN_VENDOR = "-none" TOOLCHAIN_TYPE = "external" TOOLCHAIN_BRAND = "csl" in addition to putting the CSL in the PATH. [1] http://thread.gmane.org/gmane.comp.handhelds.openembedded/37918/focus=38047 [2] http://thread.gmane.org/gmane.comp.handhelds.openembedded/38176/focus=38188 Signed-off-by: Ben Gardiner <bengardiner@nanometrics.ca> CC: Koen Kooi <k.kooi@student.utwente.nl> CC: Víctor M. Jáquez L. <vjaquez@igalia.com> CC: CC: Denys Dmytriyenko <denis@denix.org> Signed-off-by: Koen Kooi <koen@openembedded.org> Signed-off-by: Denys Dmytriyenko <denis@denix.org>
* libice: add 1.0.7Martin Jansa2010-10-201-3/+3
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* palmpre: add some utilities to MACHINE_EXTRA_RDEPENDSimon Busch2010-10-201-0/+1
| | | | | | | Some utilities are essential for the palmpre but no other machine so the machine config rdepends on them. They will be installed in an image via task-base. Signed-off-by: Simon Busch <morphis@gravedo.de>
* angstrom next: switch to pango 1.28.3Koen Kooi2010-10-201-2/+2
|
* conf/distro/include: Remove preferred-opie-cvs-versions.inc.Paul Eggleton2010-10-191-209/+0
| | | | | | This include file is now obsolete; persons wishing to build the latest development version of Opie should now build from git by including preferred-opie-git-versions.inc instead.
* preferred-shr-versions: choose git version of tslib as defaultSimon Busch2010-10-191-0/+2
| | | | | Signed-off-by: Simon Busch <morphis@gravedo.de> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* insane-srcrevs: remove AUTOREV for obsolete openmoko recipesMartin Jansa2010-10-191-55/+0
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* om-3d7k: remove machine definition, because it was canceled long time agoMartin Jansa2010-10-191-39/+0
| | | | | | Acked-by: Michael 'Mickey' Lauer <mickey@openmoko.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* nios2.inc: added missing definitions for TARGET_CC_ARCH BASE_PACKAGE_ARCH ↵Frans Meulenbroeks2010-10-191-0/+4
| | | | | | FEED_ARCH Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
* Bump Opie git revisionPaul Eggleton2010-10-191-1/+1
|
* Bump Opie git revisionPaul Eggleton2010-10-191-1/+1
|
* preferred-opie-git-versions: add opie-notes and opie-taskbar-imagesPaul Eggleton2010-10-191-0/+2
|
* Build development versions of Opie from git instead of CVS.Paul Eggleton2010-10-192-0/+215
| | | | | | | Note that this change requires a version of BitBake with the "git subpath" patch applied. Signed-off-by: Paul Eggleton <bluelightning@bluelightning.org>
* angstrom-jalimo: update preferred version of icedtea6-native as 1.7.3 is no ↵Martin Jansa2010-10-181-1/+1
| | | | longer available in tree
* Use common files for AT91SAM9 configurationUlf Samuelsson2010-10-1710-85/+150
|
* angstrom next: bump DISTRO_PR for overrides and filespath changesKoen Kooi2010-10-171-1/+1
|
* omap4430-panda: update machine config to match latest MLO and linux providersKoen Kooi2010-10-171-4/+3
|
* bitbake.conf: sanitize FILESPATHChris Larson2010-10-161-1/+1
| | | | | | | | | - reverse OVERRIDES - drop empty overrides - uniq the list - use nested variable references rather than getVar Signed-off-by: Chris Larson <chris_larson@mentor.com>
* shr: bump DISTRO_PR after gcc changesMartin Jansa2010-10-161-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xserver-xorg: move from 1.9.0.901 to 1.9.0.902Martin Jansa2010-10-161-4/+4
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* SHR: use newer python-pycairoMartin Jansa2010-10-161-0/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* EFL: bump SRCREV a bit moreMartin Jansa2010-10-161-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* SHR: prefer libtool 2.4Martin Jansa2010-10-161-4/+6
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* Fix Angstrom OVERRIDES settingsChase Maupin2010-10-156-6/+6
| | | | | | | | | | | | | | | | | | * Use the new MACHINE_OVERRIDES variable in angstrom.inc to set the FEED_ARCH and SOC_FAMILY OVERRIDES * NOTE: These were left in their orignal order which will result in the SOC_FAMILY being more specific than the FEED_ARCH. This was done on purpose as the SOC_FAMILY should be more specific. i.e. for omap3 the omap3 override is more specific than the armv7a override. * Modified the glibc include files to prepend libc-glibc, etc to the OVERRIDES list. Signed-off-by: Chase Maupin <Chase.Maupin@ti.com> Acked-by: Chris Larson <chris_larson@mentor.com> Acked-by: Denys Dmytriyenko <denis@denix.org> Signed-off-by: Koen Kooi <koen@openembedded.org>
* Reverse the order of OVERRIDESChris Larson2010-10-159-28/+19
| | | | | | | | | | | | | | | | | | | | | | | | | | | | Given the current implementation of OVERRIDES in bitbake, the variable is expected to contain elements in the order least specific to most specific, however, our current usage of it does not match that. As one example, "local" is supposed to always be the most specific override, yet currently it's the least specific. As another example, currently the target architecture is seen as more specific than the machine, which is also clearly wrong. Big thanks to Chase Maupin for investigating and identifying this long standing issue. It becomes clear that a reversal of the current value will bring us to a more sane behavior, and avoids the need for the dual overrides hack mentioned in the comments, so this implements this reversal, and drops the unnecessary and confusing comments. This also introduces a MACHINE_OVERRIDES variable as a generic mechanism to inject overrides elements which are more specific than the distro but less specific than the machine, which is where things like MACHINE_CLASS or SOC_FAMILY or the like would go. This variable is *space* separated, to make it easier and more convenient to assemble the variable incrementally. Reported-by: Chase Maupin <chase.maupin@ti.com> Signed-off-by: Chris Larson <chris_larson@mentor.com> Acked-by: Chase Maupin <chase.maupin@ti.com> Acked-by: Khem Raj <raj.khem@gmail.com>
* bitbake.conf: resurrect unexported PKG_CONFIG_DIR for installsChris Larson2010-10-141-0/+1
| | | | Signed-off-by: Chris Larson <chris_larson@mentor.com>